﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IMES_Middleware_Platform.Api.Domain.FuelDispenser.Dto
{

    public class NozzleComponentRootobject
    {
        public NozzleComponentData data { get; set; }
        public string message { get; set; }
        public string requestId { get; set; }
        public int status { get; set; }
    }

    public class NozzleComponentData
    {
        public string vrOnlineStatus { get; set; }
        public string vrSwv { get; set; }
        public string fuel { get; set; }
        public string onlineStatus { get; set; }
        public int id { get; set; }
        public string tcSn { get; set; }
        public string vrSupplier { get; set; }
        public string tcOnlineStatus { get; set; }
        public object[] alarmDetail { get; set; }
        public string tcSupplier { get; set; }
        public string tcSwv { get; set; }
        public int caId { get; set; }
        public string name { get; set; }
        public bool tcSignVerify { get; set; }
        public object[] tcAlarmDetail { get; set; }
        public string cheatStatus { get; set; }
        public object[] vrAlarmDetail { get; set; }
        public string status { get; set; }
        public int vrId { get; set; }
        public string caSupplier { get; set; }
        public string mainBoard { get; set; }
        public string code { get; set; }
        public string tcUuid { get; set; }
        public string caSignature { get; set; }
        public string vrSignature { get; set; }
        public bool caSignVerify { get; set; }
        public int bbId { get; set; }
        public bool vrSignVerify { get; set; }
        public string caUuid { get; set; }
        public object[] caAlarmDetail { get; set; }
        public Meterlist[] meterList { get; set; }
        public string canLock { get; set; }
        public int tcId { get; set; }
        public string vrUuid { get; set; }
        public object[] bbAlarmDetail { get; set; }
        public string bbVersion { get; set; }
        public Encodercontrollist[] encoderControlList { get; set; }
        public string caSwv { get; set; }
        public string caOnlineStatus { get; set; }
        public string nozzleNo { get; set; }
        public string bbOnlineStatus { get; set; }
        public string bbQrCode { get; set; }
        public Displaycontrollist[] displayControlList { get; set; }
        public string tcSignature { get; set; }
        public object[] valveControlList { get; set; }
    }

    public class Meterlist
    {
        public string supplier { get; set; }
        public string onlineStatus { get; set; }
        public int id { get; set; }
        public string uuid { get; set; }
        public object[] alarmDetail { get; set; }
    }

    public class Encodercontrollist
    {
        public string swv { get; set; }
        public string signature { get; set; }
        public string onlineStatus { get; set; }
        public string supplier { get; set; }
        public int standardId { get; set; }
        public int id { get; set; }
        public string sn { get; set; }
        public string uuid { get; set; }
        public bool signVerify { get; set; }
        public object[] alarmDetail { get; set; }
    }

    public class Displaycontrollist
    {
        public string supplier { get; set; }
        public string onlineStatus { get; set; }
        public int id { get; set; }
        public string sn { get; set; }
        public string uuid { get; set; }
        public object[] alarmDetail { get; set; }
    }

}
