﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IMES_Middleware_Platform.Api.Domain.FuelDispenser.Dto
{
    public class StationDto
    {
        public Data data { get; set; }
        public string message { get; set; }
        public string requestId { get; set; }
        public int status { get; set; }
    }



    public class StationContent
    {
        public bool alarming { get; set; }
        public string districtCode { get; set; }
        public string city { get; set; }
        public string cityCode { get; set; }
        public int groupId { get; set; }
        public string type { get; set; }
        public string province { get; set; }
        public string contact { get; set; }
        public int modifiedBy { get; set; }
        public Supervision supervision { get; set; }
        public StationCompany company { get; set; }
        public int id { get; set; }
        public int state { get; set; }
        public float lat { get; set; }
        public string address { get; set; }
        public float lng { get; set; }
        public bool test { get; set; }
        public bool business { get; set; }
        public string provinceCode { get; set; }
        public long alarmTime { get; set; }
        public int photoId { get; set; }
        public object[] tags { get; set; }
        public int dispensersTotal { get; set; }
        public long createdDate { get; set; }
        public string phone { get; set; }
        public int createdBy { get; set; }
        public string district { get; set; }
        public string name { get; set; }
        public long modifiedDate { get; set; }
        public int noticesTotal { get; set; }
        public int nozzleControlsTotal { get; set; }
    }

}