﻿using FreeSql.DataAnnotations;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Linq;
using ZhonTai.Admin.Core.Entities;

namespace IMES_Middleware_Platform.Api.Domain.FuelDispenser
{
    /// <summary>
    /// 生命周期
    /// </summary>
    [Table(Name = "LifeCycle")]
    public class LifeCycle : EntityAdd
    {
        /// <summary>
        /// 油机ID
        /// </summary>
        public int FuelId { get; set; }
        public DateTime? CreatedDate { get; set; }
        /// <summary>
        /// 操作人
        /// </summary>
        public string Operator { get; set; }  // 操作人
        /// <summary>
        /// 操作人ID
        /// </summary>
        public int? OperatorID { get; set; }   // 操作人ID
        /// <summary>
        /// 操作
        /// </summary>
        public string Operation { get; set; } // 操作
        public int LifeCycleID { get; set; }
        public int ModelId { get; set; }
        /// <summary>
        /// 类型
        /// </summary>
        public string Type { get; set; }
        /// <summary>
        /// 类别
        /// </summary>
        public string Category { get; set; }
        /// <summary>
        /// 油站id
        /// </summary>
        public int StationId { get; set; }

        /// <summary>
        /// 供应商 ID。
        /// </summary>
        public int SupplierId { get; set; }
    }
}
