﻿using FreeSql.DataAnnotations;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ZhonTai.Admin.Core.Entities;

namespace IMES_Middleware_Platform.Api.Domain.Push
{
    /// <summary>
    /// 推送
    /// </summary>
    [Table(Name = "Push")]
    public class PushEntity : EntityAdd
    {
        /// <summary>
        /// 规则id
        /// </summary>
        public long RuleId { get; set; }
        /// <summary>
        /// 推送用户id
        /// </summary>
        public long PushUserid { get; set; }
        /// <summary>
        ///  推送内容
        /// </summary>
        public string Content { get; set; }
        /// <summary>
        /// 是否推送
        /// </summary>
        public bool IsPushed { get; set; }
        /// <summary>
        /// 推送时间
        /// </summary>
        public DateTime? PushTime { get; set; }
        /// <summary>
        /// 报警ID
        /// </summary>
        public long AlarmhistoryID { get; set; }
        /// <summary>
        /// 优先级
        /// </summary>
        public int? TaskPriority { get; set; }
        /// <summary>
        /// 推送用户
        /// </summary>
        public string PushUser { get; set; }
    }
}
