﻿using FreeSql.DataAnnotations;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ZhonTai.Admin.Core.Entities;

namespace IMES_Middleware_Platform.Api.Domain.Push
{
    /// <summary>
    /// 推送模板
    /// </summary>
    [Table(Name = "PushTemplate")]
    public class PushTemplateEntity : EntityAdd
    {
        /// <summary>
        /// 模板名称
        /// </summary>
        public string TemplateName { get; set; }
        /// <summary>
        /// 模板类型    wx:  微信公众号，email：邮件
        /// </summary>
        public string TemplateType { get; set; }
        /// <summary>
        /// 模板内容
        /// </summary>
        public string TemplateContent { get; set; }

    }
}
