﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IMES_Middleware_Platform.Api.Domain.FuelDispenser.Dto
{

    public class EquipmentRootobject
    {
        public EquipmentData data { get; set; }
        public string message { get; set; }
        public string requestId { get; set; }
        public int status { get; set; }
    }

    public class EquipmentData
    {
        public int number { get; set; }
        public int numberOfElements { get; set; }
        public int size { get; set; }
        public int totalPages { get; set; }
        public Pageable pageable { get; set; }
        public Sort1 sort { get; set; }
        public EquipmentContent[] content { get; set; }
        public int totalElements { get; set; }
    }

    public class EquipmentContent
    {
        public int mainBoard { get; set; }
        public int resetTimes { get; set; }
        public int deviceAlarmLevel { get; set; }
        public string onlineStatus { get; set; }
        public string uuid { get; set; }
        public bool signVerify { get; set; }
        public string deviceStatus { get; set; }
        public int modifiedBy { get; set; }
        public int alarmLevel { get; set; }
        public int id { get; set; }
        public int dispenserSupplierId { get; set; }
        public bool dirty { get; set; }
        public object[] alarms { get; set; }
        public string nozzleControlName { get; set; }
        public int photoId { get; set; }
        public long? fixTime { get; set; }
        public string[] alarmDetail { get; set; }
        public long createdDate { get; set; }
        public Blackbox blackBox { get; set; }
        public int createdBy { get; set; }
        public long modifiedDate { get; set; }
        public string signature { get; set; }
        public Supplier1 supplier { get; set; }
        public Station station { get; set; }
        public long startTime { get; set; }
        public string sn { get; set; }
        public string mainBoardUuid { get; set; }
    }
}
