﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IMES_Middleware_Platform.Api.Domain.FuelDispenser.Dto
{

    public class UserRootobject
    {
        public UserData data { get; set; }
        public string message { get; set; }
        public string requestId { get; set; }
        public int status { get; set; }
    }

    public class UserData
    {
        public int number { get; set; }
        public int size { get; set; }
        public int numberOfElements { get; set; }
        public int totalPages { get; set; }
        public Pageable pageable { get; set; }
        public Sort1 sort { get; set; }
        public UserContent[] content { get; set; }
        public int totalElements { get; set; }
    }


    public class UserContent
    {
        public Role[] roles { get; set; }
        public bool admin { get; set; }
        public string isLock { get; set; }
        public long? updatePasswordTime { get; set; }
        public bool modifyPass { get; set; }
        public int modifiedBy { get; set; }
        public int id { get; set; }
        public string email { get; set; }
        public string identityName { get; set; }
        public string mobile { get; set; }
        public int photoId { get; set; }
        public long createdDate { get; set; }
        public int createdBy { get; set; }
        public string identityId { get; set; }
        public bool disable { get; set; }
        public string name { get; set; }
        public long modifiedDate { get; set; }
        public int age { get; set; }
        public string password { get; set; }
        public Group group { get; set; }
    }

    public class Group
    {
        public string groupType { get; set; }
        public string code { get; set; }
        public int standardId { get; set; }
        public string description { get; set; }
        public int photoId { get; set; }
        public string registerNo { get; set; }
        public long createdDate { get; set; }
        public string[] deviceTypes { get; set; }
        public int createdBy { get; set; }
        public string name { get; set; }
        public long modifiedDate { get; set; }
        public string alias { get; set; }
        public int modifiedBy { get; set; }
        public int id { get; set; }
    }

    public class Role
    {
        public long createdDate { get; set; }
        public string defaultRole { get; set; }
        public int createdBy { get; set; }
        public string[] permissions { get; set; }
        public string name { get; set; }
        public long modifiedDate { get; set; }
        public int modifiedBy { get; set; }
        public Menus menus { get; set; }
        public int id { get; set; }
    }

    public class Menus
    {
        public string[] app { get; set; }
        public string[] web { get; set; }
    }


}
